/[pub]/test/html-webhacc/cc-style.css
Suika

Diff of /test/html-webhacc/cc-style.css

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

revision 1.10 by wakaba, Tue Sep 11 08:25:23 2007 UTC revision 1.22 by wakaba, Sun Aug 10 11:49:43 2008 UTC
# Line 30  h2 { Line 30  h2 {
30    font-size: 150%;    font-size: 150%;
31  }  }
32    
33  h3 {  h3, th {
34    font-weight: bolder;    font-weight: bolder;
35    font-family: sans-serif;    font-family: sans-serif;
36    font-size: 100%;    font-size: 100%;
# Line 103  q:before, q:after { Line 103  q:before, q:after {
103    font-size: 90%;    font-size: 90%;
104  }  }
105    
106    #dump-manifest tbody:empty {
107      display: table-caption;
108      caption-side: bottom;
109    }
110    
111    #dump-manifest tbody:empty::after {
112      content: "This cache manifest contains no oppotunistic caching namespace.";
113      font-style: italic;
114    }
115    
116    #dump-manifest dt:first-child + dt::before,
117    #dump-manifest dt:last-child::after {
118      display: block;
119      content: "This cache manifest contains no explicit entry.";
120      margin-left: 2.5em;
121      font-style: italic;
122      font-weight: normal;
123      font-family: serif;
124    }
125    
126    #dump-manifest dt:last-child::after {
127      content: "This cache manifest has an empty online whitelist.";
128    }
129    
130  #parse-errors dd, #document-errors dd, #error-description h3,  #parse-errors dd, #document-errors dd, #error-description h3,
131  #result-para {  #result-para {
132    margin-left: 20px;    margin-left: 20px;
# Line 113  q:before, q:after { Line 137  q:before, q:after {
137    background-repeat: no-repeat;    background-repeat: no-repeat;
138  }  }
139    
140    #levels-table tbody th:first-child {
141      padding-left: 42px;
142      min-height: 32px;
143      background-image: url(large-stop);
144      background-position: 5px center;
145      background-repeat: no-repeat;
146      text-align: left;
147    }
148    
149  #identifiers dd, #terms dd {  #identifiers dd, #terms dd {
150    margin-left: 20px;    margin-left: 20px;
151    padding-left: 20px;    padding-left: 20px;
152    min-height: 20px;    min-height: 20px;
153  }  }
154    
155  #identifiers dd + dd, #terms dd + dd {  #identifiers dd + dd
156    /* , #terms dd + dd */ /* Now allowed - HTML5 revision 1467 */
157    {
158    background-image: url(error);    background-image: url(error);
159    background-position: center left;    background-position: center left;
160    background-repeat: no-repeat;    background-repeat: no-repeat;
# Line 130  q:before, q:after { Line 165  q:before, q:after {
165    margin-right: 1em;    margin-right: 1em;
166  }  }
167    
168    #parse-errors dd.level-s, #document-errors dd.level-s,
169    #parse-errors dd.should,
170  #document-errors dd.should, #error-description .should h3,  #document-errors dd.should, #error-description .should h3,
171  #result-para.SEE-RESULT {  #result-para.SEE-RESULT, #levels-table #level-s th {
172      background-image: url(large-stop);
173    }
174    
175    #parse-errors dd.level-w, #document-errors dd.level-w,
176    #parse-errors dd.warning,
177    #document-errors dd.warning, #error-description .warning h3,
178    #levels-table #level-w th {
179    background-image: url(large-alert);    background-image: url(large-alert);
180  }  }
181    
182    #parse-errors dd.level-i, #document-errors dd.level-i,
183    #error-description .level-i h3,
184    #levels-table #level-i th {
185      background-image: url(large-info);
186    }
187    
188    #parse-errors dd.level-u, #document-errors dd.level-u,
189    #parse-errors dd.level-unsupported, #document-errors dd.level-unsupported,
190    #parse-errors dd.unsupported,
191  #document-errors dd.unsupported {  #document-errors dd.unsupported {
192    margin-left: 60px;    margin-left: 60px;
193    border: red 0.2em solid;    border: red 0.2em solid;
194    padding: 0.5em;    padding: 0.5em;
195  }  }
196    
197    #parse-errors dd.unsupported,
198  #document-errors dd.unsupported, #error-description .unsupported h3,  #document-errors dd.unsupported, #error-description .unsupported h3,
199  #result-para.uncertain {  #result-para.uncertain,
200    #parse-errors dd.level-u, #document-errors dd.level-u,
201    #levels-table #level-u th {
202    background-image: none;    background-image: none;
203  }  }
204    
205    .error-category-charset {
206      background-image: url(icons/char-16);
207      background-position: left center;
208      background-repeat: no-repeat;
209      padding-left: 20px;
210    }
211    
212    .format-charset, .tokenizer-error, .parse-error {
213      background-image: url(icons/syntax-16);
214      background-position: left center;
215      background-repeat: no-repeat;
216      padding-left: 20px;  
217    }
218    
219    .content-model-error, .attribute-error, .attribute-value-error,
220    .attribute-value-warning, .table-model-error {
221      background-image: url(icons/structure-16);
222      background-position: left center;
223      background-repeat: no-repeat;
224      padding-left: 20px;
225    }
226    
227  #result-para.PASS {  #result-para.PASS {
228    background-image: url(ok);    background-image: url(ok);
229  }  }
# Line 180  q:before, q:after { Line 258  q:before, q:after {
258    text-decoration: none;    text-decoration: none;
259  }  }
260    
261    body[data-scripted] #nav-items {
262      display: none;
263    }
264    
265  img {  img {
266    border-style: none;    border-style: none;
267  }  }
# Line 193  code { Line 275  code {
275    white-space: pre-wrap;    white-space: pre-wrap;
276  }  }
277    
278    .example {
279      background-color: #ececff;
280    }
281    
282    pre.example {
283      margin-left: 1em;
284      margin-right: 1em;
285      padding: 0.2em 0.5em;
286    }
287    
288    .example.bad {
289      background-color: #fff7f7;
290    }
291    
292    code.example.bad {
293      color: inherit;
294      background-color: #ffeeee;
295    }
296    
297    h3 code.example.bad {
298      color: orangered;
299      background-color: transparent;
300    }
301    
302    pre.example::before {
303      content: "Example";
304      display: block;
305      color: #b0b0ff;
306      background-color: transparent;
307      font-weight: bolder;
308      font-family: sans-serif;
309    }
310    
311    pre.example.html::before {
312      content: "HTML Example";
313    }
314    
315    pre.example.xml::before {
316      content: "XML Example";
317    }
318    
319    pre.example.manifest::before {
320      content: "Cache Manifest Example";
321    }
322    
323    pre.example.bad::before {
324      content: "Bad Example";
325      color: #ffc1c1;
326    }
327    
328    pre.example.bad.html::before {
329      content: "HTML Bad Example";
330    }
331    
332    pre.example.bad.xml::before {
333      content: "XML Bad Example";
334    }
335    
336    pre.example.bad.manifest::before {
337      content: "Cache Manifest Bad Example";
338    }
339    
340  .rfc2119 {  .rfc2119 {
341    border-style: none;    border-style: none;
342    text-transform: lowercase;    text-transform: lowercase;
# Line 226  code { Line 370  code {
370    empty-cells: show;    empty-cells: show;
371  }  }
372    
373  .uncertain td, p.uncertain {  .uncertain td, p.uncertain,
374    #level-u, #level-u th {
375    background-color: #e1e1ff;    background-color: #e1e1ff;
376    color: black;    color: black;
377  }  }
378    
379  .FAIL, .uncertain td.FAIL {  .FAIL, .uncertain td.FAIL, #level-m, #level-m th {
380    background-color: #ffcece;    background-color: #ffcece;
381    color: black;    color: black;
382  }  }
383    
384  .SEE-RESULT, .uncertain td.SEE-RESULT {  .SEE-RESULT, .uncertain td.SEE-RESULT, #level-s, #level-s th {
385    background-color: #e1e1ff;    background-color: #e1e1ff;
386    color: black;    color: black;
387  }  }
388    
389  .PASS {  .PASS, #level-w, #level-w th,
390    #level-i, #level-i th {
391    background-color: #ddffdd;    background-color: #ddffdd;
392    color: black;    color: black;
393  }  }
# Line 252  code { Line 398  code {
398    padding-right: 1em;    padding-right: 1em;
399  }  }
400    
401    /* dl.switch from WHATWG specification style sheet */
402    
403    dl.switch {
404      padding-left: 2em;
405    }
406    
407    dl.switch dt {
408      display: block;
409      text-indent: -1.5em;
410      font-weight: bolder;
411      font-family: sans-serif;
412      font-style: normal;
413    }
414    
415    dl.switch dt:before {
416      content: '\21AA';
417      padding: 0 0.5em 0 0;
418      display: inline-block;
419      width: 1em;
420      text-align: right;
421      line-height: 0.5em;
422    }
423    
424    dl.switch dt:after {
425      content: " :";
426    }
427    
428    mark {
429      background-color: #ffff4d;
430    }
431    
432    /* Tab navigation */
433    
434    h1 {
435      float: left;
436      font-size: 100%;
437      padding: 0 1em;
438    }
439    
440    nav {
441      display: block;
442    }
443    
444    nav ul {
445      margin: 0;
446      padding: 1em 0 0 0;
447    }
448    
449    nav ul li {
450      display: inline;
451      margin: 0;
452      padding: 0 0.3em 0 0;
453      line-height: 2;
454    }
455    
456    nav a {
457      display: inline;
458      padding: 0.1em 0.3em;
459      text-decoration: none;
460      color: inherit;
461      border: thin outset gray;
462      -moz-border-radius: 0.2em;
463      min-width: 4em;
464      text-align: center;
465    }
466    
467    nav [data-active] a {
468      border-style: inset;
469      background-color: #C0C0C0;
470    }
471    
472    .section {
473      clear: both;
474    }
475    
476    body[data-scripted] > .section {
477      position: absolute;
478      top: 120px; /* h1 > img's height is 90px */
479      bottom: 0;
480      left: 0;
481      right: 0;
482      overflow: auto;
483    }
484    
485  /*  /*
486    
487  Copyright 2007 Wakaba <[email protected]>  Copyright 2007-2008 Wakaba <[email protected]>.
488    
489  This library is free software; you can redistribute it  This library is free software; you can redistribute it
490  and/or modify it under the same terms as Perl itself.  and/or modify it under the same terms as Perl itself.

Legend:
Removed from v.1.10  
changed lines
  Added in v.1.22

[email protected]
ViewVC Help
Powered by ViewVC 1.1.24